Bug 976497 - [abrt] Terminal-0.4.8-4.fc18: _XAllocID: Process /usr/bin/Terminal was killed by signal 6 (SIGABRT)
[abrt] Terminal-0.4.8-4.fc18: _XAllocID: Process /usr/bin/Terminal was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:85eb54d03ff5ddabf43698ce59c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 12:50 EDT by Michael
Modified: 2014-02-05 18:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.77 KB, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: dso_list (7.66 KB, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: environ (1.39 KB, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: maps (24.57 KB, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: open_fds (998 bytes, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-06-20 12:51 EDT, Michael
no flags Details

  None (edit)
Description Michael 2013-06-20 12:50:58 EDT
Version-Release number of selected component:
Terminal-0.4.8-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/Terminal
core_backtrace: 
crash_function: _XAllocID
executable:     /usr/bin/Terminal
kernel:         3.9.6-200.fc18.i686
runlevel:       N 5
uid:            1000
var_log_messages: Jun 20 12:41:25 localhost abrt[2346]: Saved core dump of pid 2088 (/usr/bin/Terminal) to /var/tmp/abrt/ccpp-2013-06-20-12:41:25-2088 (22401024 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _XAllocID at xcb_io.c:529
 #6 XCreateGC at CrGC.c:91
 #7 XcursorImageLoadCursor at cursor.c:583
 #8 XcursorImagesLoadCursor at cursor.c:702
 #9 XcursorLibraryLoadCursor at library.c:337
 #10 XcursorShapeLoadCursor at library.c:507
 #11 _gdk_x11_cursor_update_theme at gdkcursor-x11.c:588
 #12 update_cursor at gdkcursor-x11.c:609
 #13 g_slist_foreach at gslist.c:894
 #14 gdk_x11_display_set_cursor_theme at gdkcursor-x11.c:662
Comment 1 Michael 2013-06-20 12:51:04 EDT
Created attachment 763521 [details]
File: backtrace
Comment 2 Michael 2013-06-20 12:51:08 EDT
Created attachment 763522 [details]
File: cgroup
Comment 3 Michael 2013-06-20 12:51:13 EDT
Created attachment 763523 [details]
File: dso_list
Comment 4 Michael 2013-06-20 12:51:17 EDT
Created attachment 763524 [details]
File: environ
Comment 5 Michael 2013-06-20 12:51:20 EDT
Created attachment 763525 [details]
File: limits
Comment 6 Michael 2013-06-20 12:51:23 EDT
Created attachment 763526 [details]
File: maps
Comment 7 Michael 2013-06-20 12:51:26 EDT
Created attachment 763527 [details]
File: open_fds
Comment 8 Michael 2013-06-20 12:51:29 EDT
Created attachment 763528 [details]
File: proc_pid_status
Comment 9 Kevin Fenzi 2013-06-21 13:46:36 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 10 Michael 2013-06-25 15:39:38 EDT
It was nothing special, just starting the Terminal from Xfce panel launcher (with the command 'Terminal --geometry=126x35') immediately after login.
I can't reproduce the bug.
Comment 11 Martin Donald 2013-07-16 17:48:32 EDT
Soon after booting up

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        terminal --geometry=94x33 --display :0.0 --role=Terminal-0x9741000-3789-1372963700 --show-menubar --show-borders --hide-toolbars --working-directory /home/mhd
core_backtrace: 
crash_function: _XAllocID
executable:     /usr/bin/Terminal
kernel:         3.9.6-200.fc18.i686
package:        Terminal-0.4.8-4.fc18
reason:         Process /usr/bin/Terminal was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 12 Fedora End Of Life 2013-12-21 10:34:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 18:12:11 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.